#!/bin/bash

SERVERNAME=tenant1

HOSTPORT=7443
HOSTIP=35.153.106.204
LOCALSERVERDIR=$(pwd)/${SERVERNAME}

CONTAINERID=$(docker run -d --rm -p ${HOSTPORT}:${HOSTPORT} -v ${LOCALSERVERDIR}:/var/lib/rancher/k3s registry.gitlab.com/arm-research/smarter/k3s:CI_COMMIT_TAG /usr/bin/k3s-entrypoint.sh --tls-san ${HOSTIP} --advertise-address ${HOSTIP} --https-listen-port ${HOSTPORT} --disable-agent --no-deploy servicelb --no-deploy traefik --no-deploy metrics-server --no-flannel --no-deploy coredns)

if [ $? -gt 0 ]
then
        echo "Docker failed......"
        exit -1
fi

echo "Container ID: ${CONTAINERID}"

echo "waiting for the container to generate the secrets"

sleep 30 # have to wait for k3s to generate the file

echo "Copying the secrets, token to token.${SERVERNAME} and kube.confg to kube.${SERVERNAME}.config"
docker cp ${CONTAINERID}:/etc/rancher/k3s/k3s.yaml kube.${SERVERNAME}.config
docker cp ${CONTAINERID}://var/lib/rancher/k3s/server/token token.${SERVERNAME}
sed -i -e "s/\(https:\/\/\)127.0.0.1/\1${HOSTIP}/" kube.${SERVERNAME}.config
